package com.goafanti.portal.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;

public class AchievementDetailBo extends AchievementSearchListBo {
	/**
	 * 摘要
	 */
	private String	summary;

	/**
	 * 成果简介
	 */
	private String	introduction;

	/**
	 * 技术图片
	 */
	private String	technicalPictureUrl;

	/**
	 * 成熟度资料--图片URL
	 */
	private String	maturityPictureUrl;

	/**
	 * 成熟度资料--文本文件URL
	 */
	private String	maturityTextFileUrl;

	/**
	 * 成熟度资料--视屏URL
	 */
	private String	maturityVideoUrl;

	/**
	 * 创新度(0--行业先进,1--行业领先,2--国内先进,3--国内领先,4--国际先进,5--国际领先)
	 */
	private Integer	innovation;

	/**
	 * 合作方式(0--技术转让,1--授权生产)
	 */
	private Integer	cooperationMode;

	/**
	 * 议价方式(0--面议，1--定价)
	 */
	private Integer	bargainingMode;

	/**
	 * 技术场景
	 */
	private String	technicalScene;

	/**
	 * 技术突破
	 */
	private String	breakthrough;

	/**
	 * 专利情况
	 */
	private String	patentCase;

	/**
	 * 获奖情况
	 */
	private String	awards;

	/**
	 * 技术团队情况
	 */
	private String	teamDes;

	/**
	 * 技术参数
	 */
	private String	parameter;

	/**
	 * 技术方案URL
	 */
	private String	techPlanUrl;

	/**
	 * 商业计划书URL
	 */
	private String	businessPlanUrl;

	/**
	 * 关注ID
	 */
	private String	achievementInterestId;

	/**
	 * 订单ID
	 */
	private String	achievementOrderId;

	/**
	 * 订单状态
	 */
	private Integer	orderStatus;

	public String getAchievementOrderId() {
		return achievementOrderId;
	}

	public void setAchievementOrderId(String achievementOrderId) {
		this.achievementOrderId = achievementOrderId;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getOrderStatus() {
		return orderStatus;
	}

	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}

	public String getAchievementInterestId() {
		return achievementInterestId;
	}

	public void setAchievementInterestId(String achievementInterestId) {
		this.achievementInterestId = achievementInterestId;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getIntroduction() {
		return introduction;
	}

	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}

	public String getTechnicalPictureUrl() {
		return technicalPictureUrl;
	}

	public void setTechnicalPictureUrl(String technicalPictureUrl) {
		this.technicalPictureUrl = technicalPictureUrl;
	}

	public String getMaturityPictureUrl() {
		return maturityPictureUrl;
	}

	public void setMaturityPictureUrl(String maturityPictureUrl) {
		this.maturityPictureUrl = maturityPictureUrl;
	}

	public String getMaturityTextFileUrl() {
		return maturityTextFileUrl;
	}

	public void setMaturityTextFileUrl(String maturityTextFileUrl) {
		this.maturityTextFileUrl = maturityTextFileUrl;
	}

	public String getMaturityVideoUrl() {
		return maturityVideoUrl;
	}

	public void setMaturityVideoUrl(String maturityVideoUrl) {
		this.maturityVideoUrl = maturityVideoUrl;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getInnovation() {
		return innovation;
	}

	public void setInnovation(Integer innovation) {
		this.innovation = innovation;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getCooperationMode() {
		return cooperationMode;
	}

	public void setCooperationMode(Integer cooperationMode) {
		this.cooperationMode = cooperationMode;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getBargainingMode() {
		return bargainingMode;
	}

	public void setBargainingMode(Integer bargainingMode) {
		this.bargainingMode = bargainingMode;
	}

	public String getTechnicalScene() {
		return technicalScene;
	}

	public void setTechnicalScene(String technicalScene) {
		this.technicalScene = technicalScene;
	}

	public String getBreakthrough() {
		return breakthrough;
	}

	public void setBreakthrough(String breakthrough) {
		this.breakthrough = breakthrough;
	}

	public String getPatentCase() {
		return patentCase;
	}

	public void setPatentCase(String patentCase) {
		this.patentCase = patentCase;
	}

	public String getAwards() {
		return awards;
	}

	public void setAwards(String awards) {
		this.awards = awards;
	}

	public String getTeamDes() {
		return teamDes;
	}

	public void setTeamDes(String teamDes) {
		this.teamDes = teamDes;
	}

	public String getParameter() {
		return parameter;
	}

	public void setParameter(String parameter) {
		this.parameter = parameter;
	}

	public String getTechPlanUrl() {
		return techPlanUrl;
	}

	public void setTechPlanUrl(String techPlanUrl) {
		this.techPlanUrl = techPlanUrl;
	}

	public String getBusinessPlanUrl() {
		return businessPlanUrl;
	}

	public void setBusinessPlanUrl(String businessPlanUrl) {
		this.businessPlanUrl = businessPlanUrl;
	}

}
